Page MenuHomePhabricator

Don't require AVX registers if the target CPU doesn't have them
ClosedPublic

Authored by vharron on Mar 9 2015, 5:45 PM.

Details

Summary

TestLldbGdbServer was failing because it always assumed AVX is available on
x86_64 Linux. This patch checks the target before asserting that AVX
registers are available.

Diff Detail

Event Timeline

vharron updated this revision to Diff 21535.Mar 9 2015, 5:45 PM
vharron retitled this revision from to Don't require AVX registers if the target CPU doesn't have them.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: tberghammer, clayborg.
vharron added a subscriber: Unknown Object (MLST).
clayborg accepted this revision.Mar 9 2015, 5:51 PM
clayborg edited edge metadata.
This revision is now accepted and ready to land.Mar 9 2015, 5:51 PM
vharron updated this revision to Diff 21544.Mar 9 2015, 9:15 PM
vharron edited edge metadata.

Asserting the presence/absence of AVX registers based on target capabilities

tberghammer requested changes to this revision.Mar 10 2015, 1:53 AM
tberghammer edited edge metadata.
tberghammer added inline comments.
test/tools/lldb-server/TestLldbGdbServer.py
472–474

Please remove the local copy of cpuinfo for remote platforms

This revision now requires changes to proceed.Mar 10 2015, 1:53 AM
emaste added a subscriber: emaste.Mar 10 2015, 6:07 AM
emaste added inline comments.
test/tools/lldb-server/TestLldbGdbServer.py
465

Would be nice to see a switch on sys.platform or equivalent even if Linux is the only case right now.

@vharron: What is the state of this CL?
Should I commandeer it and commit it in after fixing the issues requested in review?

vharron accepted this revision.Mar 27 2015, 11:23 AM
vharron added a reviewer: vharron.

It's committed. Unfortunately, it doesn't fix the error.

I was trying to fix it blind. I need to debug the test on virtualbox but I've decided that we should focus our energy on real device issues first.

Tamas/Ed, if you have any problems with my commit, I'll fix them

http://reviews.llvm.org/rL232137#2b74499f

test/tools/lldb-server/TestLldbGdbServer.py
465
472–474

I committed a followup fix as rL233194. It fixed the issue on android-x86 and I think it should fix it on other platforms also. Please check it and if you still see the failure then we should investigate it.

tberghammer accepted this revision.Apr 2 2015, 2:58 AM
tberghammer edited edge metadata.
This revision is now accepted and ready to land.Apr 2 2015, 2:58 AM
tberghammer closed this revision.Apr 2 2015, 2:58 AM